alter table qr_print_prov_task_item add column is_paper_scanned tinyint null;
alter table qr_print_prov_task_item add column is_answer_scanned tinyint null;

alter table qr_print_prov_task add column scan_user_id int(11) null;
alter table qr_print_prov_task add column scan_user_name varchar(50) null;

alter table qr_print_log add column prov_name varchar(20) null;
alter table qr_print_log add column course_name varchar(50) null;
alter table qr_print_log add column course_code varchar(10) null;
alter table qr_print_log add column paper_code varchar(20) null;
alter table qr_print_log add column remark varchar(200) null;

insert into s_role (id, code, name, is_enabled, user_type, role_type) values (13, 'SCANNER', '封装检查员', 1, 0, 0);

##2016-01-19 马涛添加了新表 qr_batch_gj_course 共卷课程表##
CREATE TABLE `qr_batch_gj_course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `batch_id` int(11) DEFAULT NULL,
  `batch_title` varchar(50) DEFAULT NULL,
  `course_code` varchar(6) DEFAULT NULL,
  `course_name` varchar(100) DEFAULT NULL,
  `b_course_code` varchar(6) DEFAULT NULL,
  `b_course_name` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=116 DEFAULT CHARSET=utf8


##2017-08-07 马涛 表qr_paper_paper_batch添加了新字段：is_zy_return 转印说明是否回库##
ALTER TABLE `qr_paper_paper_batch`
ADD COLUMN `is_zy_return`  tinyint(1) NULL COMMENT '转印说明是否回库' AFTER `is_w_paper_return`;


##2017-08-07 马涛 表qr_paper添加了新字段：zy_path 转印说明地址##
ALTER TABLE `qr_paper`
MODIFY COLUMN `answer_sheet_path`  varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '提卡地址' AFTER `standard_answer_path`,
ADD COLUMN `zy_path`  varchar(200) NULL COMMENT '转印说明地址' AFTER `w_paper_path`;


ALTER TABLE `c_confidential_handover`
DROP COLUMN `institution_name`,
DROP COLUMN `institution_address`,
ADD COLUMN `province_code` int NULL COMMENT '省份ID' AFTER `id`;



---2023年9月4日添加单位名称
ALTER TABLE `qrzk_gkjk`.`qr_province` 
ADD COLUMN `unit` varchar(255) NULL COMMENT '单位名称' AFTER `paper_type`;
